WordClusterDictionary.WordClusterDictionarySerializer (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.featuregen

## Class WordClusterDictionary.WordClusterDictionarySerializer

- java.lang.Object
- - opennlp.tools.util.featuregen.WordClusterDictionary.WordClusterDictionarySerializer

- All Implemented Interfaces:
    ArtifactSerializer<WordClusterDictionary>
  Enclosing class:
    WordClusterDictionary

      public static class WordClusterDictionary.WordClusterDictionarySerializer
      extends Object
      implements ArtifactSerializer<WordClusterDictionary>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WordClusterDictionarySerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WordClusterDictionary` | `create(InputStream in)` Creates the artifact from the provided `InputStream`.
    `void` | `serialize(WordClusterDictionary artifact, OutputStream out)` Serializes the artifact to the provided `OutputStream`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WordClusterDictionarySerializer

          public WordClusterDictionarySerializer()

  - ### Method Detail

    - #### create

          public WordClusterDictionary create(InputStream in)
                                       throws IOException

      Description copied from interface: `ArtifactSerializer`
      Creates the artifact from the provided `InputStream`. The `InputStream` remains open.
      Specified by:
        `create` in interface `ArtifactSerializer<WordClusterDictionary>`
      Returns:
        the artifact
      Throws:
        `IOException`

    - #### serialize

          public void serialize(WordClusterDictionary artifact,
                                OutputStream out)
                         throws IOException

      Description copied from interface: `ArtifactSerializer`
      Serializes the artifact to the provided `OutputStream`. The `OutputStream` remains open.
      Specified by:
        `serialize` in interface `ArtifactSerializer<WordClusterDictionary>`
      Throws:
        `IOException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.